Bug 239998 - sysutils/automount: Update to automount 1.6.1: v1.5.8 doesn't mount FAT USB thumbdrive in FreeBSD 12
Summary: sysutils/automount: Update to automount 1.6.1: v1.5.8 doesn't mount FAT USB t...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-08-20 17:57 UTC by OlivierW
Modified: 2019-09-29 20:01 UTC (History)
3 users (show)

See Also:
pi: maintainer-feedback+
pi: merge-quarterly-


Attachments
distinfo (160 bytes, text/plain)
2019-08-28 13:13 UTC, vermaden
no flags Details
Makefile (1.22 KB, text/plain)
2019-08-28 13:14 UTC, vermaden
no flags Details
pkg-descr (189 bytes, text/plain)
2019-08-28 13:14 UTC, vermaden
no flags Details
svn-diff-automount (1.86 KB, patch)
2019-08-29 11:38 UTC, Walter Schwarzenfeld
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description OlivierW 2019-08-20 17:57:16 UTC
Hello :-)

In FreeBSD 12, the "-o large" option has been removed from mount_msdosfs, so mounting FAT drives doesn't work.
You can check the documentation here:
https://www.freebsd.org/cgi/man.cgi?query=mount_msdosfs&apropos=0&sektion=8&manpath=FreeBSD+12.0-RELEASE+and+Ports&arch=default&format=html
VS:
https://www.freebsd.org/cgi/man.cgi?query=mount_msdosfs&apropos=0&sektion=8&manpath=FreeBSD+11.3-RELEASE&arch=default&format=html

The problem has been fixed in recent versions of automount, please update it :-)


On another note: https://svnweb.freebsd.org/ports/head/sysutils/automount/files/pkg-install.in?revision=378537&view=markup
should have "sbin" instead of "bin" on line 8.

Best Regards,
Olivier
Comment 1 vermaden 2019-08-26 22:13:00 UTC
Quick solution is here:
https://www.reddit.com/r/freebsd/comments/cvm131/problem_with_automount/

I will fix that and try to send new port as soon as possible.

Regards.
Comment 2 vermaden 2019-08-28 13:06:04 UTC
Major sysutils/automount 1.7.0 Update

Thanks to Rozhuk Ivan who reworked some of sysutils/automount code the new 1.7.0 version is now ready and available.

The changelog is pretty impressive this time:

    New options available in automount.conf config file.
    Filesystem detection/mounting reworked totally with file(1)/dd(1)/fstyp(8) as backends.
    Notifications are now possible with libnitify(8) library.
    Automatic detection of DISPLAY variable.
    New automatic wait for device appearance.
    New detection if device is a block device.
    Introduction of CD-ROM support.
    Automatic detection of File Manager with exo-open(1).
    Option REMOVEDIRS is deprecated now.
    Handle ‘-o large’ option for FAT under FreeBSD 11.x and 12.x versions.

As its not yet available in the FreeBSD Ports please use manual procedure.

Download and unpack the automount-1.7.0.tar.gz file from:
https://github.com/vermaden/automount

Then copy its files to appropriate places as shown below.

# cp automount.conf      /usr/local/etc/automount.conf
# cp automount_devd.conf /usr/local/etc/devd/automount_devd.conf
# cp automount           /usr/local/sbin/automount
# chmod +x               /usr/local/sbin/automount
# /etc/rc.d/devd restart
Comment 3 vermaden 2019-08-28 13:13:48 UTC
Created attachment 206971 [details]
distinfo
Comment 4 vermaden 2019-08-28 13:14:09 UTC
Created attachment 206972 [details]
Makefile
Comment 5 vermaden 2019-08-28 13:14:27 UTC
Created attachment 206973 [details]
pkg-descr
Comment 6 vermaden 2019-08-28 13:15:16 UTC
Please update the port to 1.7.0 using attached files:
- Makefile
- distinfo
- pkg-descr

Thanks,
vermaden
Comment 7 Kubilay Kocak freebsd_committer freebsd_triage 2019-08-29 09:46:33 UTC
@Vermaden Could you please combine the individual patches into a single attachment please (obsoleting the existing ones)

The only time separate attachments are required are when:

- One is separating bugfixes from version/feature updates, so that the former can be committed first and merged to the quarterly branch
- There are updates to multiple ports that require individual/different maintainer approval

Please also confirm the changes pass QA (portlint, poudriere at least). For more information and instructions see: https://www.freebsd.org/doc/en/books/porters-handbook/testing.html
Comment 8 Walter Schwarzenfeld freebsd_triage 2019-08-29 11:38:01 UTC
Created attachment 206996 [details]
svn-diff-automount

With changes in do-install.
Comment 9 Kurt Jaeger freebsd_committer 2019-09-29 19:55:05 UTC
testbuilds@work
Comment 10 Kurt Jaeger freebsd_committer 2019-09-29 20:01:24 UTC
Committed, thanks!
Comment 11 commit-hook freebsd_committer 2019-09-29 20:01:53 UTC
A commit references this bug:

Author: pi
Date: Sun Sep 29 20:01:22 UTC 2019
New revision: 513267
URL: https://svnweb.freebsd.org/changeset/ports/513267

Log:
  sysutils/automount: upgrade 1.5.8 -> 1.7.0

  - The automount has now a new co-author - Rozhuk Ivan.
  - New options available in automount.conf config file.
  - Filesystem detection/mounting reworked totally
    with file(1)/dd(1)/fstyp(8) as backends.
  - Notifications are now possible with libnitify(8) library.
  - Automatic detection of DISPLAY variable.
  - New automatic wait for device appearance.
  - New detection if device is a block device.
  - Introduction of CD-ROM support.
  - Automatic detection of File Manager with exo-open(1).
  - Option REMOVEDIRS is deprecated now.
  - Handle '-o large' option for FAT under FreeBSD 11.x and 12.x versions.

  PR:		239998
  Submitted by:	vermaden@interia.pl (maintainer), Rozhuk Ivan
  Reported by:	OlivierW <olivierw1+bugzilla-freebsd@hotmail.com>
  Reviewed by:	koobs

Changes:
  head/sysutils/automount/Makefile
  head/sysutils/automount/distinfo
  head/sysutils/automount/pkg-descr